Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82300 - usermode should preserve LANGUAGE environment variable too
Summary: usermode should preserve LANGUAGE environment variable too
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: usermode
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 03:30 UTC by Need Real Name
Modified: 2013-07-02 22:57 UTC (History)
2 users (show)

Fixed In Version: 1.77-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-01-20 13:32:42 UTC


Attachments (Terms of Use)
Patch to preserve LANGUAGE environment variable (deleted)
2003-01-21 03:31 UTC, Need Real Name
no flags Details | Diff

Description Need Real Name 2003-01-21 03:30:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 Thiz; en-US; rv:1.1) Gecko/20021127

Description of problem:
Besides preserving LANG, LC_ALL and LC_MESSAGE, it is important to preserve the
LANGUAGE environment variable too for proper support for some locales like zh_HK
in which LANGUAGE=zh_HK:zh_TW.  (There are hardly any zh_HK PO/MO files around,
so we often fallback to zh_TW.)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open any applications linked to consolehelper in the zh_HK.* locale, with
LANGUAGE=zh_HK:zh_TW, for example.


Actual Results:  You'll notice that it doesn't show Chinese, even if
LANGUAGE=zh_HK:zh_TW.

Additional info:

Comment 1 Need Real Name 2003-01-21 03:31:55 UTC
Created attachment 89452 [details]
Patch to preserve LANGUAGE environment variable

Hope you find this useful.  :-)

Comment 2 Jindrich Novy 2005-01-11 09:55:14 UTC
Thanks, the patch is now comitted.


Note You need to log in before you can comment on or make changes to this bug.